
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12 col-lg-10">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-shield"></i></span></div>
          <input class="ControlInput--Input" type="text" [disabled]="!tNuevo" placeholder="Usuario" [(ngModel)]="tUsuario.Codusuario" required="" size="sm" id="txtCodusuario"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-2">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
          <div class="btn-group btn-group-sm mr-1" role="group">
            <button class="btn btn-outline-primary" type="button" [disabled]="!tNuevo" (click)="Buscar()"><i class="fas fa-search"></i></button>
          </div>
          <div class="btn-group btn-group-sm" role="group">
            <button class="btn btn-outline-info" type="button" [disabled]="!tNuevo" (click)="AbrirModal()"><i class="fas fa-list"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="input-group">
          <textarea class="form-control form-control-sm" placeholder="Nombre" name="Descripcion" required="" [(ngModel)]="tUsuario.Descripcion" rows="3"></textarea>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-address-card"></i></span></div>
          <input class="ControlInput--Input" type="text" [disabled]="!tNuevo" placeholder="Cedula" [(ngModel)]="tUsuario.Cedula" required="" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-unlock-alt"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tEstatusActual" (change)="CambiarEstatus()" size-select="sm">
            <option *ngFor="let tEsta of tEstatus" [ngValue]="tEsta">{{tEsta.Codestatus}}</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user-check"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoActual" (change)="CambiarTipo()" size-select="sm">
            <option *ngFor="let tTipo of tTipos" [ngValue]="tTipo">{{tTipo.Codtipo}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-at"></i></span></div>
          <input class="ControlInput--Input" type="email" [(ngModel)]="tUsuario.Email" placeholder="Email" name="Email" aria-label="Email" aria-describedby="Email" required="" size="sm"/>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6"><img class="img-fluid text-center" src="assets/Usuario.svg"/></div>
</div>